summaryrefslogtreecommitdiff
path: root/contrib/cleanup-prebuilt-dir.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/cleanup-prebuilt-dir.sh')
-rwxr-xr-xcontrib/cleanup-prebuilt-dir.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/contrib/cleanup-prebuilt-dir.sh b/contrib/cleanup-prebuilt-dir.sh
new file mode 100755
index 000000000..5553fb467
--- /dev/null
+++ b/contrib/cleanup-prebuilt-dir.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+
+[ ! -d prebuilt ] && git worktree add -f prebuilt prebuilt && exit 1
+
+# make sure that the prebuilt directory is clean
+# before building
+# this script is part of the make prebuilt
+cd prebuilt
+git checkout -- .
+git pull